/** -------------------------------------------------------------------
  *      maintainer: Marcus Wolschon <Suran@gmx.net>
  * -------------------------------------------------------------------
  * projects:
  *	- Jaugment II
  *       part: directory-service
  *	   used in release: current      used in version: current
  * -------------------------------------------------------------------
  * Copyright:   Copyright (c) 2000 by Marcus Wolschon <Suran@gmx.net>
  * -------------------------------------------------------------------
  * changes:
  * 0.0.1 (2000-12-10, Marcus Wolschon<Suran@gmx.net>)
  *       - created
  * -------------------------------------------------------------------
  * TODO:
  *       - make it administratable
  */
package jaugment2.soap2jini;

  //JDK
import java.rmi.server.UnicastRemoteObject;
import java.rmi.Remote;
import java.rmi.RemoteException;
import java.rmi.MarshalledObject;
import java.io.Serializable;
import java.lang.IllegalStateException;
import java.util.Enumeration;
  //JINI
import net.jini.core.event.RemoteEventListener;
import net.jini.core.lease.LeaseDeniedException;
import net.jini.core.lease.Lease;
import net.jini.admin.Administrable;
  //serviceui-draft-standart
//import net.jini.lookup.entry.UIDescriptor;
  //project
import jaugment2.jini.simpleService.simpleAdministrator;
import jaugment2.jini.simpleService.SimpleRepresentedAdministrator;
import jaugment2.directory.Directory.*;
import jaugment2.directory.DirectoryServiceSwingAdministration;

//helper-mark for configure to determine that rmic needs to be executed for this file
//rmimakehelper


public class Soap2JINIProxy extends UnicastRemoteObject implements Administrable, Serializable, Remote
{

  private Soap2JINI service;

  public Soap2JINIProxy(Soap2JINI s) throws RemoteException
  {
   this.service = s;
  };

    /**
     * Returns an object that implements our administration-interfaces.
     *
     * @throws java.rmi.RemoteException
     * @see JoinAdmin
     */
  public Object getAdmin() throws RemoteException
  {
//   return(new SimpleRepresentedAdministrator(service, new UIDescriptor[] {DirectoryServiceSwingAdministration.getUIDescriptor()}));
//   return(new DirectoryServiceAdministrator(service));
   return(new simpleAdministrator(service));
  };

}